## cdebconf 0.264

=== debian/changelog ===
cdebconf (0.264) unstable; urgency=medium

  * Team upload.

  * Add missing changelog entries (translation updates) for 0.263 changelog

  [ Updated translations ]
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 21 Aug 2022 16:56:59 +0200

cdebconf (0.263) unstable; urgency=medium

  * text: Add default marker in selection.
  * newt: Align dialogs on the left when brltty is running.

  [ Updated translations ]
  * Catalan (ca.po) by d
  * Basque (eu.po) by Gontzal Manuel Pujana Onaindia
  * Galician (gl.po) by Jorge Teijeiro
  * Norwegian Nynorsk (nn.po) by aujawindar
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Jun 2022 19:55:01 +0200

cdebconf (0.262) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Add missing changelog entries for 0.261

  [ Samuel Thibault ]
  * text: Use libreadline and history to allow choosing with arrows.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 14 Apr 2022 00:36:19 +0200

## cdebconf 0.264ubuntu1

=== debian/changelog ===
cdebconf (0.264ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.
    - Allow to build without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2022 10:19:35 +0200

## cdebconf 0.265

=== debian/changelog ===
cdebconf (0.265) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * Make gbp tag produce the right tag format.
  * text: During progression, provide user feedback at least every minute.
  * newt: Align more items on top-left in braille mode.

  [ Gioele Barabucci ]
  * No longer depend on debconf (Closes: #1006492, #328498).

  [ Updated translations ]
  * Catalan (ca.po) by d
  * Norwegian Nynorsk (nn.po) by anonymous

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 19 Nov 2022 23:47:52 +0100

=== debian/control ===
Source: cdebconf
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 po-debconf,
 libslang2-dev,
 libnewt-dev,
 libtextwrap-dev,
 libreadline-dev (>= 8.1.2-1.1),
 libdebian-installer4-dev | libdebian-installer-dev,
 libglib2.0-dev,
 libgtk2.0-dev <!pkg.cdebconf.nogtk>,
 libcairo2-dev <!pkg.cdebconf.nogtk>,
 libselinux1-dev [linux-any] | libselinux-dev [linux-any],
 dh-autoreconf,
 dh-exec,
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
 Cyril Brulebois <kibi@debian.org>
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/installer-team/cdebconf
Vcs-Git: https://salsa.debian.org/installer-team/cdebconf.git

Package: cdebconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: debconf-2.0
Suggests: cdebconf-gtk
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.

Package: cdebconf-gtk
Architecture: any
Section: admin
Depends: cdebconf, ${shlibs:Depends}, ${misc:Depends}
Build-Profiles: <!pkg.cdebconf.nogtk>
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk is a minimal Gtk+ frontend cdebconf package.

Package: libdebconfclient0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debian Configuration Management System (C-implementation library)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. cdebconf is a reimplementation of the original debconf in C.
 .
 This library allows C programs to interface with cdebconf.

Package: libdebconfclient0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libdebconfclient0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdebconfclient-dev, libdebconf-dev, libcdebconf-dev, cdebconf-dev
Provides: libdebconfclient-dev
Replaces: libdebconf-dev
Description: Development files for cdebconf
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. cdebconf is a reimplementation of the original debconf version
 in C.
 .
 This package contains files needed to do cdebconf development

Package: cdebconf-udeb
Architecture: any
Section: debian-installer
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: debconf-2.0
Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-udeb is a minimal cdebconf package used by the
 debian-installer

Package: cdebconf-priority
Architecture: all
Section: debian-installer
Priority: standard
Depends: cdebconf-udeb, ${misc:Depends}
Package-Type: udeb
XB-Installer-Menu-Item: 93000
Description: Change debconf priority
 This is a udeb that allows you to change the priority limit for the
 questions.

Package: libdebconfclient0-udeb
Architecture: any
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb
Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is a udeb version of libdebconfclient0.

Package: cdebconf-text-udeb
Architecture: any
Section: debian-installer
Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Plain text frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-text-udeb is a basic plain text frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-newt-udeb
Architecture: any
Section: debian-installer
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Newt frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-newt-udeb is a minimal Newt frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-gtk-udeb
Architecture: any
Section: debian-installer
Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, rootskel-gtk [!s390 !s390x]
Package-Type: udeb
Build-Profiles: <!pkg.cdebconf.nogtk>
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk-udeb is a minimal Gtk+ frontend cdebconf package used
 by the debian-installer.

## cdebconf 0.266

=== debian/changelog ===
cdebconf (0.266) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Fix missing GPL-2+ license in d/copyright. Closes: #1019919
  * Revert 'No longer depend on debconf' for now (Closes: #1026858).

  [ Updated translations ]
  * Greek (el.po) by george kitsoukakis
  * Persian (fa.po) by Danial Behzadi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 31 Dec 2022 15:15:11 +0100

## cdebconf 0.267

=== debian/changelog ===
cdebconf (0.267) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by gallegonovato
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Feb 2023 16:50:49 +0100

## cdebconf 0.267ubuntu1

=== debian/changelog ===
cdebconf (0.267ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.
    - Allow to build without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Feb 2023 12:22:25 +0100

=== debian/rules ===
#! /usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -lpthread

debbuild=debian/build-deb
udebbuild=debian/build-udeb

include /usr/share/dpkg/architecture.mk

ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
  with_udeb = yes
endif

CONFFILE=/etc/cdebconf.conf

#package names
LIBDEBCONFDEV=libdebconfclient0-dev
LIBDEBCONF=libdebconfclient0

DEB_FRONTENDS=passthrough text newt gtk
UDEB_FRONTENDS=passthrough text newt gtk

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   UDEB_FRONTENDS:=$(filter-out gtk newt,$(UDEB_FRONTENDS))
   skip_packages = -Ncdebconf-gtk-udeb -Ncdebconf-newt-udeb
endif

ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
    DEB_FRONTENDS:=$(filter-out gtk,$(DEB_FRONTENDS))
    UDEB_FRONTENDS:=$(filter-out gtk,$(UDEB_FRONTENDS))
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
    SELINUXFLAG=--enable-selinux
else
    SELINUXFLAG=--disable-selinux
endif

SIZEOPTFLAG=-Os
SPEEDOPTFLAG=-O2
DEBUG_CONFIGURE_OPT=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUGOPTFLAG=-g
	SIZEOPTFLAG=
	SPEEDOPTFLAG=
	DEBUG_CONFIGURE_OPT=--with-debug=yes
endif

build: build-deb $(if $(with_udeb),build-udeb)

build-arch: build
build-indep: build

configure:
	dh_autoreconf

$(debbuild)/config.status: configure
	DEB_CFLAGS_MAINT_APPEND="$(DEBUGOPTFLAG) $(SPEEDOPTFLAG)" \
	dh_auto_configure -B$(debbuild) -- \
		--libexecdir=\$${prefix}/lib \
		--without-rpath \
		--with-db="textdb rfc822db stack" \
		--with-frontend="$(DEB_FRONTENDS)" \
		--with-textwrap \
		$(SELINUXFLAG) \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-deb: build-deb-stamp
build-deb-stamp: $(debbuild)/config.status
	dh_testdir
	dh_auto_build -B$(debbuild)
	touch $@

$(udebbuild)/config.status: configure
	DEB_CFLAGS_MAINT_APPEND="$(DEBUGOPTFLAG) $(SIZEOPTFLAG) -fomit-frame-pointer" \
	dh_auto_configure -B$(udebbuild) -- \
		--libexecdir=\$${prefix}/lib \
		--enable-d-i \
		--without-rpath --with-db="rfc822db stack" \
		--with-frontend="$(UDEB_FRONTENDS)" \
		--with-default-frontend=newt \
		--with-syslog-logging \
		--with-textwrap \
		--disable-selinux \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-udeb: build-udeb-stamp
build-udeb-stamp: $(udebbuild)/config.status
	dh_testdir
	dh_auto_build -B$(udebbuild)
	touch $@

clean:
	dh_testdir
	dh_auto_clean -B$(debbuild)
	dh_auto_clean -B$(udebbuild)
	[ ! -f globalmakeflags ] || $(MAKE) -C src/test clean
	dh_auto_clean
	dh_autoreconf_clean
	dh_clean

install: install-arch install-indep

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
ifeq ($(with_udeb),yes)
	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
endif
	dh_install -a $(skip_packages)

install-indep:

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installdebconf -i
	dh_installdirs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installdebconf -a
	dh_installdirs -a
ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
	# If the pkg.cdebconf.nogtk build profile is enabled and therefore
	# DEB_FRONTENDS doesn't include gtk, the main build system doesn't
	# automatically include cdebconf_gtk.h in the libdebconfclient0-dev
	# package.  As we want libdebconfclient0-dev to have identical
	# contents whether the pkg.cdebconf.nogtk profile is used or not, we
	# need to explicitly install cdebconf_gtk.h if the pkg.cdebconf.nogtk
	# profile is enabled.
	dh_install -plibdebconfclient0-dev src/modules/frontend/gtk/cdebconf_gtk.h usr/include/cdebconf/
endif
	dh_lintian -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a $(if $(with_udeb),--add-udeb=libdebconfclient0-udeb)
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a $(skip_packages)
	dh_md5sums -a
	dh_builddeb -a $(skip_packages)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.268

=== debian/changelog ===
cdebconf (0.268) unstable; urgency=medium

  [ Updated translations ]
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

 -- Cyril Brulebois <kibi@debian.org>  Wed, 29 Mar 2023 14:28:09 +0200

## cdebconf 0.269

=== debian/changelog ===
cdebconf (0.269) unstable; urgency=medium

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 00:54:54 +0200

## cdebconf 0.270

=== debian/changelog ===
cdebconf (0.270) unstable; urgency=medium

  [ Cyril Brulebois ]
  * gtk: Improve banner display when the installer logo's width doesn't
    match the GTK window's width (See: #745359). Implement the following:
     - No longer scale the installer logo, ever.
     - If the logo is wider than the window, don't do anything. This can
       happen with some graphics drivers under UEFI, e.g. when using a
       small resolution like 640×480 with the virtio graphics driver. In
       such cases, the logo is centered and is truncated on both sides.
     - If the logo is narrower than the window, repeat the left-most 1-px
       column to the left and/or the right-most 1-px column to the right,
       to cover the whole window (see expand-direction below).
  * gtk: Add support for banner metadata (See: #1036321). Until now,
    depending on the logo design, the cdebconf code needed to be tweaked
    to align the banner label (e.g. used to display “Rescue mode”) to the
    left or to the right accordingly. Now, look for a logo_installer.ini
    file in the same directory as the logo file(s), supporting two keys
    under the [banner] section:
     - label-position: left or right;
     - expand-direction: left, right, or both.
  * gtk: It is recommended to ship a banner metadata file matching the
    logo design. If it is missing, or if it doesn't contain all supported
    keys, the default settings have been arbitrarily set to the following
    values, which are giving appropriate results with the Bookworm theme
    (Emerald):
     - label-position: right;
     - expand-direction: both.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bengali (bn.po) by Indrani Roy
  * Norwegian Nynorsk (nn.po) by Yngve Spjeld-Landro

 -- Cyril Brulebois <kibi@debian.org>  Tue, 23 May 2023 12:00:51 +0200

## cdebconf 0.270ubuntu1

=== debian/changelog ===
cdebconf (0.270ubuntu1) mantic; urgency=medium

  * Merge with Debian
    - Drop fuzzy translation for Tibetan, as was done in Debian in 2016
    - Remaining changes:
      + Read newt palette from /etc/newt/palette, symlinked at
        initialisation according to FRONTEND_BACKGROUND.
      + Install palettes for [original, dark, ubuntu].
      + Install a default /etc/newt/palette symlink to
        /etc/newt/palette.ubuntu.
      + Don't build cdebconf-{gtk,newt}-udeb on i386.
      + Allow to build without udeb packages.

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 04 Jul 2023 13:59:53 +0200

## cdebconf 0.271

=== debian/changelog ===
cdebconf (0.271) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze
  * Malayalam (ml.po) by Anish Sheela
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 23 Sep 2023 20:44:21 +0200

## cdebconf 0.271ubuntu1

=== debian/changelog ===
cdebconf (0.271ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.
  * Dropped changes, no longer relevant since udebs are not built:
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 29 Nov 2023 16:39:23 -0500

## cdebconf 0.271ubuntu3

=== debian/changelog ===
cdebconf (0.271ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:29:25 +0000

cdebconf (0.271ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:04:01 +0000

## cdebconf 0.272

=== debian/changelog ===
cdebconf (0.272) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Catalan (ca.po) by victor dargallo
  * Hebrew (he.po) by Yaron Shahrabani
  * Georgian (ka.po) by Temuri Doghonadze
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 May 2024 18:42:05 +0200

## cdebconf 0.272ubuntu1

=== debian/changelog ===
cdebconf (0.272ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2073893). Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 23 Jul 2024 11:25:44 -0300

## cdebconf 0.273

=== debian/changelog ===
cdebconf (0.273) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:20:29 +0100

## cdebconf 0.274

=== debian/changelog ===
cdebconf (0.274) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 29 Nov 2024 22:01:37 +0100

## cdebconf 0.274ubuntu1

=== debian/changelog ===
cdebconf (0.274ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2090950). Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 03 Dec 2024 15:04:43 -0300

## cdebconf 0.276

=== debian/changelog ===
cdebconf (0.276) unstable; urgency=medium

  * Fix detection of whether debconf is installed (closes: #1091366).

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Dec 2024 23:33:54 +0000

cdebconf (0.275) unstable; urgency=medium

  [ Gioele Barabucci ]
  * confmodule: Align debconf's and cdebconf's confmodule (closes: #1040216,
    #1040224).

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Romanian (ro.po) by Remus-Gabriel Chelu

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Dec 2024 00:15:53 +0000

## cdebconf 0.277

=== debian/changelog ===
cdebconf (0.277) unstable; urgency=medium

  * Team upload.

  [ Alper Nebi Yasak ]
  * Avoid error when exiting debconf priority question with Esc

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 01 Jan 2025 22:13:27 +0100

## cdebconf 0.277ubuntu1

=== debian/changelog ===
cdebconf (0.277ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2098790). Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 18 Feb 2025 15:15:21 -0300

## cdebconf 0.278

=== src/modules/db/textdb/Makefile ===
MODULE=textdb
SOBJ=textdb.so
OBJS=textdb.opic

include ../modules.mak

=== debian/changelog ===
cdebconf (0.278) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Hungarian (hu.po) by Szia Tomi
  * Italian (it.po) by Giuseppe Sacco
  * Polish (pl.po) by Matthaiks
  * Serbian (sr.po) by Мирослав Николић

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 00:39:22 +0200

## cdebconf 0.279

=== debian/changelog ===
cdebconf (0.279) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Belarusian (be.po) by Joe
  * Kabyle (kab.po) by ButterflyOfFire
  * Russian (ru.po) by vladiruzz
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 25 Jun 2025 20:17:54 +0200

## cdebconf 0.279ubuntu1

=== src/modules/db/Makefile ===
include ../../../globalmakeflags

MODULES=$(DB_MODULES)
INSTALLMODULES=$(addprefix install-,$(MODULES))
CLEANMODULES=$(addprefix clean-,$(MODULES))
SOBJS=$(addsuffix .so,$(MODULES))

all: $(MODULES)

$(MODULES):
	$(MAKE) -C $@
	cp $@/$@.so .

install: $(INSTALLMODULES)

$(INSTALLMODULES):
	$(MAKE) -C $(patsubst install-%,%,$@) install

clean: $(CLEANMODULES)

$(CLEANMODULES):
	$(MAKE) -C $(patsubst clean-%,%,$@) clean
	-@rm -f $(SOBJS)

.PHONY: all install clean $(MODULES) $(INSTALLMODULES) $(CLEANMODULES)

=== debian/changelog ===
cdebconf (0.279ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111984). Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.

 -- Simon Poirier <simon.poirier@canonical.com>  Thu, 17 Jul 2025 19:29:14 -0400

## cdebconf 0.279+hurd.1

=== debian/changelog ===
cdebconf (0.279+hurd.1) unreleased; urgency=medium

  * src/Makefile.in: For linking pthread.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 Jul 2025 00:23:57 +0200

## cdebconf 0.280

=== src/test/Makefile ===
include ../../globalmakeflags
CFLAGS += -I..
BIN=configtest dbtest
OBJS=$(subst .c,.o,$(wildcard *.c))
LDFLAGS += -Wl,-rpath,$(shell cd ..; pwd) -ldl

all: $(BIN)

configtest: ../strutl.o ../configuration.o configtest.o ../debug.o
	$(CC) $(LDFLAGS) -o $@ $^

dbtest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o dbtest.o ../debug.o
	$(CC) -o $@ $^ $(LDFLAGS)

fetest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o ../frontend.o fetest.o
	$(CC) -o $@ $^ $(LDFLAGS)

#strtest: ../strutl.o strtest.o
#	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	-rm -f $(BIN) $(OBJS) *.dat *~

=== debian/changelog ===
cdebconf (0.280) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Malayalam (ml.po) by Nandakumar Edamana
  * Russian (ru.po) by Алексей Шилин
  * Telugu (te.po) by Divakar

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 06:33:07 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 Package: cdebconf
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
 Provides: debconf-2.0
 Suggests: cdebconf-gtk
 Description: Debian Configuration Management System (C-implementation)

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,6 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
-  with_udeb = yes
-endif
-
 CONFFILE=/etc/cdebconf.conf
 
 #package names
@@ -24,11 +20,6 @@
 
 DEB_FRONTENDS=passthrough text newt gtk
 UDEB_FRONTENDS=passthrough text newt gtk
-
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
-   UDEB_FRONTENDS:=$(filter-out gtk newt,$(UDEB_FRONTENDS))
-   skip_packages = -Ncdebconf-gtk-udeb -Ncdebconf-newt-udeb
-endif
 
 ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
     DEB_FRONTENDS:=$(filter-out gtk,$(DEB_FRONTENDS))
@@ -51,7 +42,7 @@
 	DEBUG_CONFIGURE_OPT=--with-debug=yes
 endif
 
-build: build-deb $(if $(with_udeb),build-udeb)
+build: build-deb build-udeb
 
 build-arch: build
 build-indep: build
@@ -113,10 +104,8 @@
 	dh_testroot
 	dh_prep
 	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
-ifeq ($(with_udeb),yes)
 	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
-endif
-	dh_install -a $(skip_packages)
+	dh_install -a
 
 install-indep:
 
@@ -157,12 +146,12 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a $(if $(with_udeb),--add-udeb=libdebconfclient0-udeb)
+	dh_makeshlibs -a --add-udeb=libdebconfclient0-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a $(skip_packages)
+	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a $(skip_packages)
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.280ubuntu1

=== Makefile ===
# This is just the bootstrapping makefile

all: cdebconf man

globalmakeflags:
	./configure

cdebconf: globalmakeflags
	$(MAKE) -C src

man:
	$(MAKE) -C man

configure: configure.ac
	autoconf

install:
	$(MAKE) -C src $@
	$(MAKE) -C man $@

clean: 
	rm -f *-stamp
	[ ! -f globalmakeflags ] || $(MAKE) -C src $@

distclean: clean
	rm -f config.status config.log config.cache globalmakeflags
	rm -rf autom4te.cache
	rm -f src/cdebconf.conf-dist src/Makefile src/config.h man/Makefile
	rm -f src/modules/db/rfc822db/Makefile
	rm -f src/modules/frontend/gtk/Makefile
	rm -f src/modules/frontend/ncurses/Makefile
	rm -f src/modules/frontend/newt/Makefile
	rm -f src/modules/frontend/passthrough/Makefile
	rm -f src/modules/frontend/slang/Makefile
	rm -f src/modules/frontend/text/Makefile

.PHONY: cdebconf clean distclean

=== src/modules/Makefile ===
include ../../globalmakeflags

SUBDIRS=db frontend
INSTALLSUBDIRS=$(addprefix install-,$(SUBDIRS))
CLEANSUBDIRS=$(addprefix clean-,$(SUBDIRS))

all: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

install: $(INSTALLSUBDIRS)

$(INSTALLSUBDIRS):
	$(MAKE) -C $(patsubst install-%,%,$@) install

clean: $(CLEANSUBDIRS)

$(CLEANSUBDIRS):
	$(MAKE) -C $(patsubst clean-%,%,$@) clean

.PHONY: all install clean $(SUBDIRS) $(INSTALLSUBDIRS) $(CLEANSUBDIRS)

=== src/modules/frontend/Makefile ===
include ../../../globalmakeflags

MODULES=$(FRONTEND_MODULES)
INSTALLMODULES=$(addprefix install-,$(MODULES))
CLEANMODULES=$(addprefix clean-,$(MODULES))
SOBJS=$(addsuffix .so,$(FRONTEND_MODULES))

all: $(MODULES)

$(MODULES):
	$(MAKE) -C $@
	cp $@/$@.so .

install: $(INSTALLMODULES)

$(INSTALLMODULES):
	$(MAKE) -C $(patsubst install-%,%,$@) install

clean: $(CLEANMODULES)

$(CLEANMODULES):
	$(MAKE) -C $(patsubst clean-%,%,$@) clean
	-@rm -f $(SOBJS)

XGETTEXT = xgettext
TEMPLATES = \
   $(srcdir)/debian/cdebconf-gtk-udeb.templates \
   $(srcdir)/debian/cdebconf-newt-udeb.templates \
   $(srcdir)/debian/cdebconf-slang-udeb.templates \
   $(srcdir)/debian/cdebconf-text-udeb.templates

templates: $(TEMPLATES)

$(srcdir)/debian/cdebconf-gtk-udeb.templates: gtk/gtk.c
$(srcdir)/debian/cdebconf-newt-udeb.templates: newt/newt.c
$(srcdir)/debian/cdebconf-slang-udeb.templates: slang/slang.c
$(srcdir)/debian/cdebconf-text-udeb.templates: text/text.c

$(TEMPLATES):
	$(XGETTEXT) -c --keyword=get_text:2,3 --omit-header --no-location $? -o - | $(srcdir)/debian/po2templates > $@

.PHONY: all templates install clean $(MODULES) $(INSTALLMODULES) $(CLEANMODULES)

=== src/modules/db/mysql/Makefile ===
MODULE=mysql
SOBJ=mysql.so
OBJS=mysql.opic

LIBS = -lmysqlclient

include ../modules.mak

=== src/modules/frontend/bogl/Makefile ===
MODULE=bogl
SOBJ=bogl.so
OBJS=bogl.opic

LIBS=-lbogl

include ../modules.mak

=== src/modules/frontend/corba/Makefile ===
# This is wrong 8:P  (Hey, big nose? Or girlie hair?)
MODULE=corba
SOBJ = corba.so
OBJS = corba.opic
include ../modules.mak

PROJ = dcf
PROJ_SERV = $(PROJ)-text
PROJ_SERVSRC = $($(PROJ)-text:%=%.c)
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_IDLFLAGS = --skeleton-impl
ORBIT_IDLTARGETS = $(PROJ)-stubs.c $(PROJ)-skels.c $(PROJ)-common.c $(PROJ).h
GNOME_CFLAGS = $(shell gnome-config --cflags gnome gnomeui gnorba gtk)
GNOME_LIBS = $(shell gnome-config --libs gnome gnomeui gnorba gtk)
CFLAGS += $(MODCFLAGS) $(GNOME_CFLAGS)
LDFLAGS = $(MODLDFLAGS) $(GNOME_LIBS)

$(PROJ)-all: $(ORBIT_IDLTARGETS) $(PROJ_SERV)

$(OBJS): $(ORBIT_IDLTARGETS)

$(PROJ)-text: $(PROJ)-text.o $(PROJ)-skels.o $(PROJ)-common.o
	$(CC) -o $(PROJ)-text $^ $(LDFLAGS)

$(ORBIT_IDLTARGETS): $(PROJ).idl
	$(ORBIT_IDL) $(ORBIT_IDLFLAGS) $<

$(PROJ_SERVSRC): $(PROJ).h

$(PROJ)-clean:
	-rm *.[oa] $(PROJ)-text

$(PROJ)-distclean: $(PROJ)-clean
	-rm -f $(PROJ)-stubs.[oc] $(PROJ)-skels.[oc] $(PROJ)-skelimpl.[oc] \
		$(PROJ)-common.[oc] $(PROJ).h

.PHONY: $(PROJ)-all $(PROJ)-clean $(PROJ)-distclean

=== debian/changelog ===
cdebconf (0.280ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130131). Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 29 Oct 2025 15:19:03 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
  libselinux1-dev [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Cyril Brulebois <kibi@debian.org>
@@ -82,6 +83,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: debconf-2.0
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -97,6 +99,7 @@
 Priority: standard
 Depends: cdebconf-udeb, ${misc:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 XB-Installer-Menu-Item: 93000
 Description: Change debconf priority
  This is a udeb that allows you to change the priority limit for the
@@ -107,6 +110,7 @@
 Section: debian-installer
 Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -120,6 +124,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Plain text frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -134,6 +139,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Newt frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -148,7 +154,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, rootskel-gtk [!s390 !s390x]
 Package-Type: udeb
-Build-Profiles: <!pkg.cdebconf.nogtk>
+Build-Profiles: <!pkg.cdebconf.nogtk !noudeb>
 Description: Gtk+ frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 udebbuild=debian/build-udeb
 
 include /usr/share/dpkg/architecture.mk
+
+ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
+  with_udeb = yes
+endif
 
 CONFFILE=/etc/cdebconf.conf
 
@@ -42,7 +46,7 @@
 	DEBUG_CONFIGURE_OPT=--with-debug=yes
 endif
 
-build: build-deb build-udeb
+build: build-deb $(if $(with_udeb),build-udeb)
 
 build-arch: build
 build-indep: build
@@ -104,7 +108,9 @@
 	dh_testroot
 	dh_prep
 	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
+ifeq ($(with_udeb),yes)
 	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
+endif
 	dh_install -a
 
 install-indep:
@@ -146,7 +152,7 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a --add-udeb=libdebconfclient0-udeb
+	dh_makeshlibs -a $(if $(with_udeb),--add-udeb=libdebconfclient0-udeb)
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a

## cdebconf 0.281

=== debian/changelog ===
cdebconf (0.281) unstable; urgency=medium

  [ Holger Wansing ]
  * Change d/copyright, to remove FSF's (outdated) postal address.

  [ Samuel Thibault ]
  * src/modules/frontend/text/text.c: Default to horizontal numbering.

  [ Gioele Barabucci ]
  * d/rules: Use standard `dh` sequence (closes: #1087959).
  * d/cdebconf.manpages: Install manpages using dh_installman.

  [ Updated translations ]
  * Serbian (sr.po) by Саша Петровић

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Nov 2025 10:54:19 +0000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,8 @@
  libgtk2.0-dev <!pkg.cdebconf.nogtk>,
  libcairo2-dev <!pkg.cdebconf.nogtk>,
  libselinux1-dev [linux-any] | libselinux-dev [linux-any],
- dh-autoreconf,
  dh-exec,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Cyril Brulebois <kibi@debian.org>
@@ -83,7 +81,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: debconf-2.0
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -99,7 +96,6 @@
 Priority: standard
 Depends: cdebconf-udeb, ${misc:Depends}
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 XB-Installer-Menu-Item: 93000
 Description: Change debconf priority
  This is a udeb that allows you to change the priority limit for the
@@ -110,7 +106,6 @@
 Section: debian-installer
 Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -124,7 +119,6 @@
 Section: debian-installer
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Description: Plain text frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -139,7 +133,6 @@
 Section: debian-installer
 Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Description: Newt frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -154,7 +147,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, rootskel-gtk [!s390 !s390x]
 Package-Type: udeb
-Build-Profiles: <!pkg.cdebconf.nogtk !noudeb>
+Build-Profiles: <!pkg.cdebconf.nogtk>
 Description: Gtk+ frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are

=== debian/rules ===
#! /usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -lpthread

debbuild=debian/build-deb
udebbuild=debian/build-udeb

include /usr/share/dpkg/architecture.mk

CONFFILE=/etc/cdebconf.conf

#package names
LIBDEBCONFDEV=libdebconfclient0-dev
LIBDEBCONF=libdebconfclient0

DEB_FRONTENDS=passthrough text newt gtk
UDEB_FRONTENDS=passthrough text newt gtk

ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
    DEB_FRONTENDS:=$(filter-out gtk,$(DEB_FRONTENDS))
    UDEB_FRONTENDS:=$(filter-out gtk,$(UDEB_FRONTENDS))
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
    SELINUXFLAG=--enable-selinux
else
    SELINUXFLAG=--disable-selinux
endif

SIZEOPTFLAG=-Os
SPEEDOPTFLAG=-O2
DEBUG_CONFIGURE_OPT=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUGOPTFLAG=-g
	SIZEOPTFLAG=
	SPEEDOPTFLAG=
	DEBUG_CONFIGURE_OPT=--with-debug=yes
endif
BUILDFLAGS_DEB=$(shell DEB_CFLAGS_MAINT_APPEND="$(DEBUGOPTFLAG) $(SPEEDOPTFLAG)" dpkg-buildflags --export=cmdline)
BUILDFLAGS_UDEB=$(shell DEB_CFLAGS_MAINT_APPEND="$(DEBUGOPTFLAG) $(SIZEOPTFLAG) -fomit-frame-pointer" dpkg-buildflags --export=cmdline)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -B$(debbuild)
	dh_auto_clean -B$(udebbuild)
	[ ! -f globalmakeflags ] || $(MAKE) -C src/test clean
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -B$(debbuild) -- \
		--libexecdir=\$${prefix}/lib \
		--without-rpath \
		--with-db="textdb rfc822db stack" \
		--with-frontend="$(DEB_FRONTENDS)" \
		--with-textwrap \
		$(SELINUXFLAG) \
		--with-conffile=$(CONFFILE) \
		$(BUILDFLAGS_DEB) \
		$(DEBUG_CONFIGURE_OPT)
	dh_auto_configure -B$(udebbuild) -- \
		--libexecdir=\$${prefix}/lib \
		--enable-d-i \
		--without-rpath \
		--with-db="rfc822db stack" \
		--with-frontend="$(UDEB_FRONTENDS)" \
		--with-default-frontend=newt \
		--with-syslog-logging \
		--with-textwrap \
		--disable-selinux \
		--with-conffile=$(CONFFILE) \
		$(BUILDFLAGS_UDEB) \
		$(DEBUG_CONFIGURE_OPT)

override_dh_auto_build:
	dh_auto_build -B$(debbuild)
	dh_auto_build -B$(udebbuild)

override_dh_auto_install:
	dh_auto_install -B$(debbuild) --destdir=$(CURDIR)/debian/tmp/deb
	dh_auto_install -B$(udebbuild) --destdir=$(CURDIR)/debian/tmp/udeb

execute_after_dh_install:
ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
	# If the pkg.cdebconf.nogtk build profile is enabled and therefore
	# DEB_FRONTENDS doesn't include gtk, the main build system doesn't
	# automatically include cdebconf_gtk.h in the libdebconfclient0-dev
	# package.  As we want libdebconfclient0-dev to have identical
	# contents whether the pkg.cdebconf.nogtk profile is used or not, we
	# need to explicitly install cdebconf_gtk.h if the pkg.cdebconf.nogtk
	# profile is enabled.
	dh_install -plibdebconfclient0-dev src/modules/frontend/gtk/cdebconf_gtk.h usr/include/cdebconf/
endif

# Disable dh_dwz to match pre-dh d/rules sequence.
override_dh_dwz:

override_dh_makeshlibs:
	dh_makeshlibs --add-udeb=libdebconfclient0-udeb

## cdebconf 0.282

=== debian/changelog ===
cdebconf (0.282) unstable; urgency=medium

  [ Helmut Grohne ]
  * Enable building without libglib2.0-dev (closes: #1078936).

  [ Colin Watson ]
  * dpkg-preconfigure: Use /usr/lib/apt/apt-extracttemplates, which is now
    always available (closes: #1087524).

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Nov 2025 13:01:26 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
  libtextwrap-dev,
  libreadline-dev (>= 8.1.2-1.1),
  libdebian-installer4-dev | libdebian-installer-dev,
- libglib2.0-dev,
+ libglib2.0-dev <!pkg.cdebconf.nogtk>,
  libgtk2.0-dev <!pkg.cdebconf.nogtk>,
  libcairo2-dev <!pkg.cdebconf.nogtk>,
  libselinux1-dev [linux-any] | libselinux-dev [linux-any],
  dh-exec,
+ pkgconf,
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
